// VoiceRec_com1.cpp:      .
//

#include "stdafx.h" 
#include "util_pipeline.h" 
static std::wstring comms[3]={ L"One",L"Two",L"Three"}; 
static std::vector<std::wstring> commands;

class MyPipeline: public UtilPipeline { 

public: 
MyPipeline(PXCSession *session=0):UtilPipeline(session) { 
   EnableVoiceRecognition(); 
   SetVoiceCommands(commands); 

} 
virtual void PXCAPI OnRecognized(PXCVoiceRecognition::Recognition *data) { 
	
    wprintf_s(L"\nRecognized<%s>", commands[data->label].c_str()); 
} 
void printCmds(){
	wprintf_s(L"Command mode with UtilPipeline\n");
	for (int i=0;i<(int)m_cmds.size();i++) {
		wprintf_s(L"%s ",m_cmds[i].c_str());
	}

}
};

int _tmain(int argc, _TCHAR* argv[]) { 
	for(int i=0;i<3;i++){
	   commands.push_back(comms[i]);
    }
    MyPipeline pp; 
    pp.printCmds();
    pp.LoopFrames(); 
    return 0; 
}


